/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct EnvironmentConfigNativeAppSettings {
    #[serde(rename = "AppDownloadLink", skip_serializing_if = "Option::is_none")]
    pub app_download_link: Option<bool>,
    #[serde(
        rename = "AndroidAppDownloadLink",
        skip_serializing_if = "Option::is_none"
    )]
    pub android_app_download_link: Option<bool>,
    #[serde(rename = "IosAppDownloadLink", skip_serializing_if = "Option::is_none")]
    pub ios_app_download_link: Option<bool>,
}

impl EnvironmentConfigNativeAppSettings {
    pub fn new() -> EnvironmentConfigNativeAppSettings {
        EnvironmentConfigNativeAppSettings {
            app_download_link: None,
            android_app_download_link: None,
            ios_app_download_link: None,
        }
    }
}
